Bug 1229260 - Data Tiering: add tiering set options to volume set help (cluster.tier-demote-frequency and cluster.tier-promote-frequency)
Summary: Data Tiering: add tiering set options to volume set help (cluster.tier-demote...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: tier
Version: rhgs-3.1
Hardware: Unspecified
OS: Unspecified
urgent
high
Target Milestone: ---
: RHGS 3.1.0
Assignee: Mohammed Rafi KC
QA Contact: Nag Pavan Chilakam
URL:
Whiteboard:
Depends On: 1215571 1234225
Blocks: qe_tracker_everglades 1202842
TreeView+ depends on / blocked
 
Reported: 2015-06-08 10:40 UTC by Nag Pavan Chilakam
Modified: 2016-09-17 15:39 UTC (History)
10 users (show)

Fixed In Version: glusterfs-3.7.1-5
Doc Type: Bug Fix
Doc Text:
Clone Of: 1215571
Environment:
Last Closed: 2015-07-29 04:59:04 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1495 0 normal SHIPPED_LIVE Important: Red Hat Gluster Storage 3.1 update 2015-07-29 08:26:26 UTC

Description Nag Pavan Chilakam 2015-06-08 10:40:26 UTC
+++ This bug was initially created as a clone of Bug #1215571 +++

Description of problem:
=====================
users will be using cluster.tier-demote-frequency and cluster.tier-promote-frequency  to set for data demotion and promotions in a tiered volume. But the current volume set help doesnt show these options.

Version-Release number of selected component (if applicable):
============================================================
[root@moonshine ~]# gluster --version
glusterfs 3.7dev built on Apr 17 2015 14:27:16
Repository revision: git://git.gluster.com/glusterfs.git
Copyright (c) 2006-2011 Gluster Inc. <http://www.gluster.com>
GlusterFS comes with ABSOLUTELY NO WARRANTY.
You may redistribute copies of GlusterFS under the terms of the GNU General Public License.
[root@moonshine ~]# rpm -qa|grep gluster
glusterfs-libs-3.7dev-0.1009.git8b987be.el7.centos.x86_64
glusterfs-api-3.7dev-0.1009.git8b987be.el7.centos.x86_64
glusterfs-cli-3.7dev-0.1009.git8b987be.el7.centos.x86_64
glusterfs-3.7dev-0.1009.git8b987be.el7.centos.x86_64
glusterfs-server-3.7dev-0.1009.git8b987be.el7.centos.x86_64
glusterfs-fuse-3.7dev-0.1009.git8b987be.el7.centos.x86_64



Steps to Reproduce:
1.install gluster
2.issue "gluster v set help" and search for the above mentioned options. Both options are missing

only Option: features.ctr-enabled    is available




Expected results:
===============
add help for demote and promote options

--- Additional comment from Joseph Elwin Fernandes on 2015-05-12 03:20:59 EDT ---

Option: cluster.tier-demote-frequency
Default Value: 0
Description: Defines how often the demotion should be triggered i.e periodicity of demotion cycles. The value is in secs.

Option: cluster.tier-promote-frequency
Default Value: 0
Description: Defines how often the promotion should be triggered i.e periodicity of promotion cycles. The value is in secs.

Option: cluster.read-freq-threshold
Default Value: 0
Description: Defines the number of reads, in a promotion/demotion cycle, that would mark a file HOT for promotion. Any file that has read hits less than this value will be considers COLD and will be demoted.

Option: cluster.write-freq-threshold 0
Default Value: 0
Description: Defines the number of writes, in a promotion/demotion cycle, that would mark a file HOT for promotion. Any file that has write hits less than this value will be considers COLD and will be demoted.

Option: features.ctr-enabled
Default Value: off
Description: Enables the CTR

Option: features.record-counters
Default Value: off
Description: Its a CTR Xlator option to enable recording write and read heat counters.

Option: features.ctr_link_consistency
Default Value: off
Description: Enable a crash consistent way of recording hardlink updates by CTR Xlator. When recording in a crash consistent way the IO's will be slow.

--- Additional comment from Mohammed Rafi KC on 2015-05-12 06:48:05 EDT ---

http://review.gluster.org/10757

--- Additional comment from Anand Avati on 2015-05-29 03:18:42 EDT ---

REVIEW: http://review.gluster.org/10757 (tier/glusterd: Add description for volume set options) posted (#2) for review on master by mohammed rafi  kc (rkavunga@redhat.com)

--- Additional comment from Anand Avati on 2015-06-03 10:52:49 EDT ---

REVIEW: http://review.gluster.org/10757 (tier/glusterd: Add description for volume set options) posted (#3) for review on master by mohammed rafi  kc (rkavunga@redhat.com)

Comment 3 Mohammed Rafi KC 2015-06-10 14:08:01 UTC
upstream patch : http://review.gluster.org/10757

Comment 5 Joseph Elwin Fernandes 2015-06-22 07:23:25 UTC
https://code.engineering.redhat.com/gerrit/51204

Comment 7 Triveni Rao 2015-06-24 07:35:26 UTC
[root@rhsqa14-vm1 ~]# gluster v help >>volsettings
[root@rhsqa14-vm1 ~]# cat volsettings | grep cluster.tier-demote-frequency[root@rhsqa14-vm1 ~]# cat volsettings | grep cluster.tier-promote-frequency[root@rhsqa14-vm1 ~]# cat volsettings | grep features.ctr-enabledOption: features.ctr-enabled
[root@rhsqa14-vm1 ~]# 

not fixed in this version:

[root@rhsqa14-vm1 ~]# rpm -qa | grep gluster
gluster-nagios-addons-0.2.3-1.el6rhs.x86_64
glusterfs-fuse-3.7.1-4.el6rhs.x86_64
glusterfs-geo-replication-3.7.1-4.el6rhs.x86_64
gluster-nagios-common-0.2.0-1.el6rhs.noarch
glusterfs-libs-3.7.1-4.el6rhs.x86_64
glusterfs-client-xlators-3.7.1-4.el6rhs.x86_64
glusterfs-api-3.7.1-4.el6rhs.x86_64
glusterfs-server-3.7.1-4.el6rhs.x86_64
glusterfs-rdma-3.7.1-4.el6rhs.x86_64
vdsm-gluster-4.16.20-1.1.el6rhs.noarch
glusterfs-3.7.1-4.el6rhs.x86_64
glusterfs-cli-3.7.1-4.el6rhs.x86_64
[root@rhsqa14-vm1 ~]#

Comment 9 Triveni Rao 2015-06-24 11:25:24 UTC
[root@rhsqa14-vm1 ~]# cat volsettings | grep cluster.tier-demote-frequency
Option: cluster.tier-demote-frequency
[root@rhsqa14-vm1 ~]# cat volsettings | grep cluster.tier-promote-frequency
Option: cluster.tier-promote-frequency
[root@rhsqa14-vm1 ~]# cat volsettings | grep features.ctr-enabled
Option: features.ctr-enabled

[root@rhsqa14-vm1 ~]# rpm -qa | grep gluster
gluster-nagios-addons-0.2.3-1.el6rhs.x86_64
glusterfs-client-xlators-3.7.1-5.el6rhs.x86_64
glusterfs-server-3.7.1-5.el6rhs.x86_64
gluster-nagios-common-0.2.0-1.el6rhs.noarch
glusterfs-3.7.1-5.el6rhs.x86_64
glusterfs-api-3.7.1-5.el6rhs.x86_64
glusterfs-cli-3.7.1-5.el6rhs.x86_64
glusterfs-geo-replication-3.7.1-5.el6rhs.x86_64
vdsm-gluster-4.16.20-1.1.el6rhs.noarch
glusterfs-libs-3.7.1-5.el6rhs.x86_64
glusterfs-fuse-3.7.1-5.el6rhs.x86_64
glusterfs-rdma-3.7.1-5.el6rhs.x86_64
[root@rhsqa14-vm1 ~]#

Comment 10 errata-xmlrpc 2015-07-29 04:59:04 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-1495.html


Note You need to log in before you can comment on or make changes to this bug.